@charset "UTF-8";
/*各ページ独自のcss設定*/
/*以下に指定を記述する*/


img.bubble {
  display: block;
  margin: 0 10vw;
}

div.riddle-holder {
  margin-top: 100px;
}

img.triangle {
  display: block;
  width: 80%;
  margin: 0 auto;
}

img.riddle_tray {
  display: block;
  width: 100%;
}

div.answer-btn {
  display: grid;
  grid-template-columns: 20% 1fr;
  background-color: #6BBCC6;
  box-shadow: 0 10px 25px 0 rgba(0, 0, 0, .5);
  width: 75vw;
  margin: 0 auto;
  cursor: pointer;
  border-radius: 4em;
}

div.answer-btn:hover {
  transform: scale(1.05, 1.05);
  transition: 0.8s;
}

div.hint {
  background-color: #FFF462;
}

img.btn-ponkichi {
  display: block;
  width: 20vw;
  height: 20vw;
  margin: auto;
  margin-left: 30px;
}

p.answer-p {
  font-size: 108px;
  line-height: 100%;
  margin: 5% auto;
}

span.answer-caption {
  font-family: 'Yomogi', cursive;
  font-size: 36px;
  padding-left: 50px;
}

img.answer-img {
  display: block;
  width: 80%;
  margin: 30px auto;
}

div.hidden_box img.answer-img {
  height: 0;
  padding: 0;
  overflow: hidden;
  transition: 0.8s;
  opacity: 0;
}

div.hidden_box input:checked ~ img.answer-img {
  height: auto;
  padding: 5px 0;
  opacity: 1;
}

div.sp2 {
  display: block;
}

div.pc2 {
  display: none;
}


/* 以下、モーダル関係 */

div.modal {
  position: fixed;
  top: 0;
  left: 0;
  width: 100%;
  height: 100vh;
  display: none;
}

img.big-img {
  display: block;
  position: absolute;
  z-index: 10;
  max-width: 80vw;
  max-height: 80vh;
  top: 20vh;
  left: 0;
  right: 0;
  margin-right: auto;
  margin-left: auto;
}

p.close-btn {
  display: block;
  position: absolute;
  z-index: 1;
  color: #fff;
  font-size: 80px;
  position: absolute;
  right: 20px;
  top: 0;
}

p.close-btn a {
  color: #fff;
  text-decoration: none;
}

div.modal-bg {
  position: absolute;
  top: 0;
  left: 0;
  height: 100vh;
  width: 100vw;
  background-color: rgba(0, 0, 0, 0.8);
  cursor: pointer;
}


@media screen and (min-width:1024px) {
    /*レスポンシブ用*/

img.bubble {
  height: 90vh;
  margin: 0 auto;
  width: 50vw;
}

div.riddle-holder {
  display: grid;
  grid-template-columns: 3fr 2fr;
  margin: 10%;
}

div.btn-holder {
  margin: auto;
}

div.answer-btn {
  width: 28vw;
  border-radius: 2em;
  margin: auto;
}

img.btn-ponkichi {
  width: 7vw;
  height: 7vw;
}

p.answer-p {
  font-size: 40px;
  line-height: 80%;
}

span.answer-caption {
  padding-left: 10px;
  font-size: 16px;
}

img.answer-img {
  width: 35vw;
}

div.second {
  grid-template-columns: 2fr 3fr;
}

div.sp2 {
  display: none;
}

div.pc2 {
  display: block;
}


/* 以下、モーダル関係 */
img.big-img {
  top: 10vh;
}

p.close-btn {
  font-size: 40px;
}

}
    